Name: H5Pget_gc_references
Signature:
  herr_t `H5Pget_gc_references`(hid_t `plist`, unsigned *`gc_ref` )
Purpose:
  Returns garbage collecting references setting.
Description:
  `H5Pget_gc_references` returns the current setting for the garbage collection references property from the specified file access property list. The garbage collection references property is set by H5Pset_gc_references.
Parameters:

hid_t `plist` | IN: File access property list identifier.
unsigned `gc_ref` | OUT: Flag returning the state of reference garbage collection. A returned value of `1` indicates that garbage collection is on while `0` indicates that garbage collection is off.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_gc_references_f

      SUBROUTINE h5pget_gc_references_f (prp_id, gc_reference, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: gc_reference ! The flag for garbage collecting
                                             ! references for the file
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_gc_references_f